## PhoshPolkitAuthPrompt

PhoshPolkitAuthPrompt — A modal prompt for policy kit authentication

## Functions

GtkWidget * | phosh_polkit_auth_prompt_new ()

## Properties

char * | action-id | Read / Write / Construct Only
char * | cookie | Read / Write / Construct Only
char * | icon-name | Read / Write / Construct Only
char * | message | Read / Write / Construct Only
GStrv | user-names | Read / Write / Construct Only

## Signals

void | done | Run Last

## Types and Values

#define | PHOSH_TYPE_POLKIT_AUTH_PROMPT
| PhoshPolkitAuthPrompt

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── PhoshLayerSurface
                                ╰── PhoshSystemModal
                                    ╰── PhoshSystemModalDialog
                                        ╰── PhoshPolkitAuthPrompt

## Implemented Interfaces

PhoshPolkitAuthPrompt implements AtkImplementorIface and GtkBuildable.

## Description

The PhoshPolkitAuthPrompt is used to ask policy kit authentication. This handles the interaction with PolkitAgentSession.

## Functions

### phosh_polkit_auth_prompt_new ()

    GtkWidget *
    phosh_polkit_auth_prompt_new (const char *action_id,
                                  const char *message,
                                  const char *icon_name,
                                  const char *cookie,
                                  GStrv user_names);

## Types and Values

### PHOSH_TYPE_POLKIT_AUTH_PROMPT

    #define PHOSH_TYPE_POLKIT_AUTH_PROMPT (phosh_polkit_auth_prompt_get_type())

### PhoshPolkitAuthPrompt

    typedef struct _PhoshPolkitAuthPrompt PhoshPolkitAuthPrompt;

## Property Details

### The `“action-id”` property

      “action-id”                char *

The prompt's action id.

Owner: PhoshPolkitAuthPrompt

Flags: Read / Write / Construct Only

Default value: ""

### The `“cookie”` property

      “cookie”                   char *

The prompt's cookie.

Owner: PhoshPolkitAuthPrompt

Flags: Read / Write / Construct Only

Default value: ""

### The `“icon-name”` property

      “icon-name”                char *

The prompt's icon name.

Owner: PhoshPolkitAuthPrompt

Flags: Read / Write / Construct Only

Default value: ""

### The `“message”` property

      “message”                  char *

The prompt's message.

Owner: PhoshPolkitAuthPrompt

Flags: Read / Write / Construct Only

Default value: ""

### The `“user-names”` property

      “user-names”               GStrv

The user name's to authenticate as.

Owner: PhoshPolkitAuthPrompt

Flags: Read / Write / Construct Only

## Signal Details

### The `“done”` signal

    void
    user_function (PhoshPolkitAuthPrompt *self,
                   gboolean               arg1,
                   gpointer               user_data)

This signal is emitted when the prompt can be closed. The cancelled argument indicates whether the prompt was cancelled.

#### Parameters

self | The PhoshPolkitAuthPrompt instance. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last